Bug 1101058 - qemu crashed on closing VM at xenstore_update_fe
qemu crashed on closing VM at xenstore_update_fe
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Xen
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: José Ricardo Ziviani
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-07-12 16:44 UTC by Adam Mizerski
Modified: 2021-07-27 20:26 UTC (History)
3 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Adam Mizerski 2018-07-12 16:44:53 UTC
Happened once so far.

Guest: openwrt-18.06.0-rc1-x86-64-combined-ext4.img under paravirtualisation, booted with PvGrub2 (instructions: https://wiki.xen.org/wiki/PvGrub2#Loading_grub.cfg_from_any_partition)

On closing the VM, qemu crashed:

#0  0x00007f3eb4bfc941 in __strlen_avx2 () from /lib64/libc.so.6
#1  0x000055e68495140f in xenstore_update_fe (watch=0x55e6870fef90 "/local/domain/7/device/vfb/0", xendev=0x55e6870f5660) at hw/xen/xen_backend.c:507
#2  0x000055e68495217d in xenstore_update (unused=<optimized out>) at hw/xen/xen_pvdev.c:170
#3  0x000055e684a98ce2 in aio_dispatch_handlers (ctx=ctx@entry=0x55e6870da8c0) at util/aio-posix.c:406
#4  0x000055e684a99578 in aio_dispatch (ctx=0x55e6870da8c0) at util/aio-posix.c:437
#5  0x000055e684a961ee in aio_ctx_dispatch (source=<optimized out>, callback=<optimized out>, user_data=<optimized out>) at util/async.c:261
#6  0x00007f3eba1430be in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#7  0x000055e684a98878 in glib_pollfds_poll () at util/main-loop.c:215
#8  os_host_main_loop_wait (timeout=<optimized out>) at util/main-loop.c:263
#9  main_loop_wait (nonblocking=<optimized out>) at util/main-loop.c:522
#10 0x000055e6846808be in main_loop () at vl.c:1944
#11 main (argc=<optimized out>, argv=<optimized out>, envp=<optimized out>) at vl.c:4746
(gdb) up
#1  0x000055e68495140f in xenstore_update_fe (watch=0x55e6870fef90 "/local/domain/7/device/vfb/0", xendev=0x55e6870f5660) at hw/xen/xen_backend.c:507
507         len = strlen(xendev->fe);
(gdb) p xendev->fe
$1 = 0x0
Comment 1 Adam Mizerski 2018-07-12 20:23:07 UTC
For the record:
xen version: 4.10.1_08-1.1
qemu version: 2.12.0-2.4
Comment 2 Jürgen Groß 2018-07-13 05:51:17 UTC
This might be the problem which was tackled by the Xen upstream commits:

448c03b3cbe14873ee ("tools/xenstore: try to get minimum thread stack size for watch thread")
c9bd8a73656d7435b1 ("tools/xenstore: add libdl dependency to libxenstore")
1a373194922bc73ab4 ("tools/xenstore: fix linking libxenstore with ldl")

Another possibility would be a problem related to the very recent security patches to the kernel or Xen for disabling lazy FPU state saving. Which kernel are you running?
Comment 3 Jürgen Groß 2018-07-13 05:51:58 UTC
Charles, are the eager FPU switch patches already in Xen 4.10.1_08-1.1?
Comment 4 Charles Arnold 2018-07-13 14:17:12 UTC
(In reply to Jürgen Groß from comment #3)
> Charles, are the eager FPU switch patches already in Xen 4.10.1_08-1.1?

Yes and they have been submitted for a maintenance update but they have not
passed QA yet.
Comment 5 Adam Mizerski 2018-07-13 16:18:48 UTC
> Which kernel are you running?

4.17.3-1.7
Comment 6 José Ricardo Ziviani 2021-06-25 21:26:46 UTC
Has this bug been solved? It seems that backports has been done but no updates so far.
Comment 7 José Ricardo Ziviani 2021-07-27 20:26:06 UTC
Hello, I understand this bug is fixed.

Please, reopen it if you still find the problem.

Thank you very much,

Jose